Get Reddit Post Comments or Saved Results
/v1/reddit/posts/{post_id}/commentsWithout cursor, job_id, parent_id, or author, fetches a live comment tree and costs 1 Credit per successful request (api_market.reddit.public_read). With those query parameters, returns stored comment job pages only and does not add an API Market charge.
On this page
Request example
Replace placeholders with your values. Use your Team API key for authenticated requests.
https://kieapi.comcurl -G "https://kieapi.com/v1/reddit/posts/{post_id}/comments" \
-H "Authorization: Bearer $SPIDER_API_KEY" \
--data-urlencode 'limit=100' \
--data-urlencode 'sort=confidence' \
--data-urlencode 'include_deleted=true'Authentication
BearerAuth
Parameters
post_idpath · string requiredlimitquery · integerDefault:
100Minimum: 1
Maximum: 1000
depthquery · integerMinimum: 1
Maximum: 10
sortquery · stringDefault:
"confidence"cursorquery · stringjob_idquery · stringparent_idquery · stringauthorquery · stringinclude_deletedquery · booleanDefault:
true
Responses
200 Comment tree or stored comment page.
application/json
RedditPublicReadResponse or PublicRedditPostCommentsPageResponse
Complete schema
{
"oneOf": [
{
"$ref": "#/components/schemas/RedditPublicReadResponse"
},
{
"$ref": "#/components/schemas/PublicRedditPostCommentsPageResponse"
}
]
}401 Missing or invalid API key.
403 Authenticated principal cannot access this resource.
404 The requested public resource was not found.
429 Temporary rate limit.
503 Required runtime service is unavailable.
Schemas
Field definitions and complete validation rules for this API. Follow a type link to its definition.
RedditPublicReadResponse
Reddit-branded alias of PublicRedditReadResponse.
Complete schema
{
"description": "Reddit-branded alias of PublicRedditReadResponse.",
"allOf": [
{
"$ref": "#/components/schemas/PublicRedditReadResponse"
}
]
}PublicRedditReadResponse
object
successboolean requiredAllowed:
truedataobject requiredmetaobject
Complete schema
{
"type": "object",
"required": [
"success",
"data"
],
"properties": {
"success": {
"type": "boolean",
"enum": [
true
]
},
"data": {
"type": "object",
"additionalProperties": true
},
"meta": {
"type": "object",
"additionalProperties": true
}
}
}PublicRedditPostCommentsPageResponse
object
post_idstring requireditemsarray of PublicRedditStoredComment requirednext_cursorstring
Complete schema
{
"type": "object",
"required": [
"post_id",
"items"
],
"properties": {
"post_id": {
"type": "string"
},
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/PublicRedditStoredComment"
}
},
"next_cursor": {
"type": "string",
"nullable": true
}
}
}PublicRedditStoredComment
object
comment_idstring requiredfullnamestring requiredpost_idstring requiredparent_idstring requiredauthorstringbodystringscoreintegerdepthintegerpermalinkstringpublished_atstring (date-time)is_deletedbooleanis_removedbooleanfirst_seen_atstring (date-time)last_seen_atstring (date-time)last_observed_job_idstring
Complete schema
{
"type": "object",
"required": [
"comment_id",
"fullname",
"post_id",
"parent_id"
],
"properties": {
"comment_id": {
"type": "string"
},
"fullname": {
"type": "string"
},
"post_id": {
"type": "string"
},
"parent_id": {
"type": "string"
},
"author": {
"type": "string",
"nullable": true
},
"body": {
"type": "string",
"nullable": true
},
"score": {
"type": "integer",
"nullable": true
},
"depth": {
"type": "integer",
"nullable": true
},
"permalink": {
"type": "string",
"nullable": true
},
"published_at": {
"type": "string",
"format": "date-time",
"nullable": true
},
"is_deleted": {
"type": "boolean"
},
"is_removed": {
"type": "boolean"
},
"first_seen_at": {
"type": "string",
"format": "date-time",
"nullable": true
},
"last_seen_at": {
"type": "string",
"format": "date-time",
"nullable": true
},
"last_observed_job_id": {
"type": "string",
"nullable": true
}
}
}PublicErrorResponse
object
errorPublicError required
Complete schema
{
"type": "object",
"additionalProperties": false,
"required": [
"error"
],
"properties": {
"error": {
"$ref": "#/components/schemas/PublicError"
}
}
}PublicError
object
codestring requiredAllowed:
"seoapi_price_pending", "seoapi_unavailable", "seoapi_busy", "seoapi_not_found", "seoapi_rate_limited", "seoapi_budget_exceeded", "seoapi_idempotency_conflict", "seoapi_insufficient_credits", "seoapi_admission_failed", "seoapi_execution_interrupted", "seoapi_delivery_unknown", "seoapi_response_invalid", "seoapi_model_unsupported", "seoapi_model_options_invalid", "seoapi_provider_rejected", "seo_price_pending", "seo_provider_blocked", "seo_local_rate_limited", "seo_fallback_unavailable", "seo_fallback_budget_exceeded", "seo_pagination_expired", "seo_delivery_uncertain", "seo_auth_required", "seo_initialization_required", "seo_permission_denied", "seo_verification_required", "seo_rate_limited", "seo_upstream_unavailable", "seo_transport_failed", "seo_invalid_response", "seo_rpc_error", "seo_period_unavailable", "seo_account_unavailable", "seo_session_busy", "seo_configuration_required", "validation_error", "invalid_request", "unsupported_feature", "authentication_required", "permission_denied", "not_found", "run_not_found", "crawl_not_found", "artifact_not_found", "session_not_found", "profile_not_found", "profile_in_use", "profile_not_ready", "profile_not_cloneable", "profile_limit_reached", "profile_proxy_conflict", "proxy_not_found", "proxy_unavailable", "invalid_session_options", "invalid_query_options", "invalid_cursor", "idempotency_key_required", "browser_session_limit_reached", "browser_capacity_exhausted", "browser_start_timeout", "browser_runtime_unavailable", "session_not_active", "controller_already_connected", "browser_relay_unavailable", "precondition_required", "precondition_failed", "timeout", "run_not_ready", "artifact_expired", "quota_exceeded", "insufficient_credits", "billing_reconciliation_required", "rate_limited", "fetch_failed", "render_failed", "maps_rate_limited", "maps_challenge", "maps_schema_changed", "maps_invalid_response", "maps_transport_failed", "maps_page_budget_exhausted", "google_trends_rate_limited", "google_trends_challenge", "google_trends_explore_failed", "google_trends_widget_missing", "google_trends_related_failed", "google_trends_invalid_response", "google_trends_transport_failed", "google_trends_collection_failed", "google_ads_account_context_missing", "google_ads_batch_failed", "google_ads_browser_context_missing", "google_ads_browser_unavailable", "google_ads_collection_failed", "google_ads_page_failed", "google_ads_protocol_drift", "google_ads_rate_limited", "google_ads_timeout", "twitter_provider_unavailable", "twitter_provider_rejected", "twitter_submission_unknown", "wechat_transport_failed", "wechat_rate_limited", "wechat_invalid_response", "wechat_redirect_rejected", "wechat_verification_required", "wechat_parse_failed", "blackhatworld_search_failed", "blackhatworld_no_results", "reddit_read_failed", "idempotency_conflict", "idempotency_in_progress", "service_unavailable", "internal_error"messagestring requiredtypestring requiredAllowed:
"auth", "validation", "quota", "rate_limit", "not_found", "execution", "conflict", "internal"retryableboolean requiredrequest_idstring | nulldetailsobject
Complete schema
{
"type": "object",
"additionalProperties": false,
"required": [
"code",
"message",
"type",
"retryable"
],
"properties": {
"code": {
"type": "string",
"enum": [
"seoapi_price_pending",
"seoapi_unavailable",
"seoapi_busy",
"seoapi_not_found",
"seoapi_rate_limited",
"seoapi_budget_exceeded",
"seoapi_idempotency_conflict",
"seoapi_insufficient_credits",
"seoapi_admission_failed",
"seoapi_execution_interrupted",
"seoapi_delivery_unknown",
"seoapi_response_invalid",
"seoapi_model_unsupported",
"seoapi_model_options_invalid",
"seoapi_provider_rejected",
"seo_price_pending",
"seo_provider_blocked",
"seo_local_rate_limited",
"seo_fallback_unavailable",
"seo_fallback_budget_exceeded",
"seo_pagination_expired",
"seo_delivery_uncertain",
"seo_auth_required",
"seo_initialization_required",
"seo_permission_denied",
"seo_verification_required",
"seo_rate_limited",
"seo_upstream_unavailable",
"seo_transport_failed",
"seo_invalid_response",
"seo_rpc_error",
"seo_period_unavailable",
"seo_account_unavailable",
"seo_session_busy",
"seo_configuration_required",
"validation_error",
"invalid_request",
"unsupported_feature",
"authentication_required",
"permission_denied",
"not_found",
"run_not_found",
"crawl_not_found",
"artifact_not_found",
"session_not_found",
"profile_not_found",
"profile_in_use",
"profile_not_ready",
"profile_not_cloneable",
"profile_limit_reached",
"profile_proxy_conflict",
"proxy_not_found",
"proxy_unavailable",
"invalid_session_options",
"invalid_query_options",
"invalid_cursor",
"idempotency_key_required",
"browser_session_limit_reached",
"browser_capacity_exhausted",
"browser_start_timeout",
"browser_runtime_unavailable",
"session_not_active",
"controller_already_connected",
"browser_relay_unavailable",
"precondition_required",
"precondition_failed",
"timeout",
"run_not_ready",
"artifact_expired",
"quota_exceeded",
"insufficient_credits",
"billing_reconciliation_required",
"rate_limited",
"fetch_failed",
"render_failed",
"maps_rate_limited",
"maps_challenge",
"maps_schema_changed",
"maps_invalid_response",
"maps_transport_failed",
"maps_page_budget_exhausted",
"google_trends_rate_limited",
"google_trends_challenge",
"google_trends_explore_failed",
"google_trends_widget_missing",
"google_trends_related_failed",
"google_trends_invalid_response",
"google_trends_transport_failed",
"google_trends_collection_failed",
"google_ads_account_context_missing",
"google_ads_batch_failed",
"google_ads_browser_context_missing",
"google_ads_browser_unavailable",
"google_ads_collection_failed",
"google_ads_page_failed",
"google_ads_protocol_drift",
"google_ads_rate_limited",
"google_ads_timeout",
"twitter_provider_unavailable",
"twitter_provider_rejected",
"twitter_submission_unknown",
"wechat_transport_failed",
"wechat_rate_limited",
"wechat_invalid_response",
"wechat_redirect_rejected",
"wechat_verification_required",
"wechat_parse_failed",
"blackhatworld_search_failed",
"blackhatworld_no_results",
"reddit_read_failed",
"idempotency_conflict",
"idempotency_in_progress",
"service_unavailable",
"internal_error"
]
},
"message": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"auth",
"validation",
"quota",
"rate_limit",
"not_found",
"execution",
"conflict",
"internal"
]
},
"retryable": {
"type": "boolean"
},
"request_id": {
"type": [
"string",
"null"
]
},
"details": {
"type": "object",
"additionalProperties": true
}
}
}